This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 201821 - where is the mptscsi driver ??
where is the mptscsi driver ??
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
http://forums.fedoraforum.org/showthr...
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-08 22:59 EDT by Rudy Dubbelboer
Modified: 2008-05-06 12:12 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:12:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
modules.alias (94.28 KB, text/plain)
2006-09-26 05:07 EDT, Rudy Dubbelboer
no flags Details
pci.ids (49.77 KB, text/plain)
2006-09-26 05:08 EDT, Rudy Dubbelboer
no flags Details

  None (edit)
Description Rudy Dubbelboer 2006-08-08 22:59:14 EDT
Description of problem:


Fibre chanel hard drive not detected. No problem in FC4 - but beyond that the 
mptscsi driver needed to detect the drive on a LSI Logic FC40909 HBA does not 
load and HD won't be detected.

Why? was this just a mistake or done deliberately ?
Comment 1 Jeremy Katz 2006-08-09 18:07:44 EDT
The mptscsi driver has been replaced with the mptspi, mptfc and mptsas drivers.
 But if they're not detecting the drives, that's probably a kernel problem.  Can
you get to the "no drives found" dialog, hit continue anyway and then switch to
tty2 and grab /tmp/syslog and /tmp/anaconda.log and attach them here?
Comment 2 Rudy Dubbelboer 2006-08-09 22:36:29 EDT
Yes will give that a go tonight and see if i can get the additional info.
Comment 3 Rudy Dubbelboer 2006-08-10 19:15:57 EDT
I tried to to do this just as described, however i didn't manage. Your 
suggestion to switch to tty2 AFTER contnuing from the "No drives found" dialog 
simply sends temination signals & the computer reboots. On my second attempt i 
decided to swith WHILE the dialog was on the screen. so with Crtl+Alt+F2 i 
switched to tty2. This worked fine. Then i used "cd tmp" to find the syslog & 
anaconda.log files. To be able to copy the files (that i viewed with vi - just 
to make sure to was actually info in them) i tried to mount the floppy. 
However this failed (i had a similar problem trying to get the FC6T1 DVD iso 
to include the mptscsi driver from floppy using the "linux dd" option). So i 
tried to copy them with "cp syslog /dev/fd0", which seemed to work, but when 
using the floppy on a different machine, in an attempt to retrieve the files, 
it gave me a "no media present".

To get around this problem i thought i'd attached a USB-drive. This worked 
fine next time i booted the first CD. Of course this time i didn't get the "No 
drives dialog" as it did detect the usd-drive, but keep in mind still no hard 
drive detected attached to my LSI Logic FC40909 HBA ! So i switched to tty2 
again etc. Then i tried copying the files again, but it wiped the drive 
instead (as in the proper programs the disk space is shown as "no allocation" 
now; fortunately i have a backup) . I probably should have used something 
else, but agian as with the floppy, i used "cp syslog /dev/sda1".

So that's where i'm at at the moment. Any suggestions?
Comment 4 Rudy Dubbelboer 2006-09-17 23:14:25 EDT
Well guys, what a disappoinment !

i tried test 3, and guess what, it still doesn't work. Doesn't detect 
anything, nada ! So much for listening to users, what is going on?? Why not 
put the old drivers back - drivers that actually WORK !
Comment 5 Konrad Rzeszutek 2006-09-18 14:27:04 EDT
Rudy,

Red Hat has no control of what upstream does with the drivers. All new kernels
(past 2.6.16) will have the mptscsi moved in-to three drivers. The drivers work,
the problem you are experiencing can be due to anaconda not having the right
driver for your card in the modules.alias file, or out-dates pci.ids file. It
could be a simple omission on anacaonda folks people and your bugzilla report
will help finding that.

Can you do lspci and get the PCI, VendorID and ProductID, and as well the full
name of lspci shows for your FC card, please?

I am re-assigning the BZ to anaconda component since that seems the proper place.
Comment 6 Rudy Dubbelboer 2006-09-19 04:56:02 EDT
OK Konrad,

Here's what i get on my screen - the complete list (just in case):

00:00.0 Host bridge: Intel Corporation 440BX/ZX/DX - 82443BX/ZX/DX Host bridge 
(rev 03)
00:01.0 PCI bridge: Intel Corporation 440BX/ZX/DX - 82443BX/ZX/DX AGP bridge 
(rev 03)
00:07.0 ISA bridge: Intel Corporation 83371AB/EB/MB PIIX4 ISA (rev 02)
00:07.1 IDE interface: Intel Corporation 83371AB/EB/MB PIIX4 IDE (rev 01)
00:07.2 USB controller: Intel Corporation 83371AB/EB/MB PIIX4 USB (rev 01)
00:07.3 Bridge: Intel Corporation 83371AB/EB/MB PIIX4 ACPI (rev 02)
00:08.0 SCSI controller: LSI Logic / Symbios Logic FC909 Fibre Channel Adapter 
(rev 01)
00:09.0 Multimedia audio controler: Fortemedia, Inc Xwave QS3000A (FM801) (rev 
b2)
00:09.1 Input device controller: Fortemedia, Inc Xwave QS3000A [FM801 game 
port] (rev b2)
00:0c.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/
8139C+ (rev 10)
01:00.0 VGA compatible controller: Matrox Graphics, Inc. MGA G400/G450 (rev 82)

This concludes it. Let me know if this is helpfull at all. Any clues to why 
Anaconda is not picking this up?
Comment 7 Konrad Rzeszutek 2006-09-19 10:25:27 EDT
Rudy,

One more item that I forgot to ask (sorry about that) is the /tmp/syslog and
/tmp/anaconda.log. If you can attach here it would help narrow down the problem.

The driver should be 'mptfc' and anaconda (rawhide is what I looked at) does
have it defined. Furthermore the 'modules.alias'  which is generated when an
boot-image is created has also  a record of it:
alias pci:v00001000d00000621sv*sd*bc*sc*i* mptfc

Your card vendorID:ProductID is 1000:0621 looking at the pci.ids file. You can
verify that by doing "lspci -n"

Those two files: module.alias and pci.ids should appear in /modules directory
when you are in Ctrl-Alt-F2 console. Please check to see that they have the same
information as what I see. If you don't have it, it might be that you are using
an older version of FC.

If your version of FC has the same information, then it can be  either the
module is not loading or the drive is not found (but module is loaded). The
first one is easy to figure out:
1) lsmod | grep fc

You should see 'mptfc'- if you don't see it, then the driver is not loaded ,or
was tried to be loaded but failed. The /tmp/anaconda.log should give some idea
about this.

If the drive is not found (but the module is loaded) then it sounds like either
a simple cable problem (try to re-attach it) or the kernel driver is busted. The
/tmp/syslog should give some insight on this. If it shows that the mptfc module
is loaded, but no drives appear, then we have a lead in the kernel driver.

In summary, pls attach those two files: /tmp/anaconda.log and /tmp/syslog.

Thank you.
Comment 8 Rudy Dubbelboer 2006-09-20 06:09:59 EDT
Konrad,

First of all, i'd like to say that it does load the driver ! But yes, it does 
NOT detect the FC hard drive (something other linux distros have NO problems 
with !!). Now as you requested i managed to get those files. See below for the 
details (i chose to use text instead of files so other may see what's in it as 
well - even though i realise this is going to be a bit long - sorry for that):

syslog:
<5>Linux version 2.6.17-1.2630.fc6
(brewbuilder@hs20-bc1-6.build.redhat.com) (gcc version
4.1.1 20060828 (Red Hat 4.1.1-20)) #1 Wed Sep 6
16:26:41 EDT 2006
<6>BIOS-provided physical RAM map:
<4> BIOS-e820: 0000000000000000 - 000000000009fc00
(usable)
<4> BIOS-e820: 000000000009fc00 - 00000000000a0000
(reserved)
<4> BIOS-e820: 00000000000f0000 - 0000000000100000
(reserved)
<4> BIOS-e820: 0000000000100000 - 0000000027ff0000
(usable)
<4> BIOS-e820: 0000000027ff0000 - 0000000027ff3000
(ACPI NVS)
<4> BIOS-e820: 0000000027ff3000 - 0000000028000000
(ACPI data)
<4> BIOS-e820: 00000000ffff0000 - 0000000100000000
(reserved)
<5>0MB HIGHMEM available.
<5>639MB LOWMEM available.
<4>Using x86 segment limits to approximate NX
protection
<7>On node 0 totalpages: 163824
<7>  DMA zone: 4096 pages, LIFO batch:0
<7>  Normal zone: 159728 pages, LIFO batch:31
<6>DMI 2.1 present.
<7>ACPI: RSDP (v000 COMPAQ                            
   ) @ 0x000f7090
<7>ACPI: RSDT (v001 COMPAQ CPQB0B9  0x00000000 
0x00000000) @ 0x27ff3000
<7>ACPI: FADT (v001 COMPAQ CPQB0B9  0x00000000 
0x00000000) @ 0x27ff3040
<7>ACPI: DSDT (v001 COMPAQ AWRDACPI 0x00001000 MSFT
0x01000007) @ 0x00000000
<6>ACPI: PM-Timer IO Port: 0x4008
<4>Allocating PCI resources starting at 30000000 (gap:
28000000:d7ff0000)
<4>Detected 449.961 MHz processor.
<4>Built 1 zonelists.  Total pages: 163824
<5>Kernel command line: initrd=initrd.img
BOOT_IMAGE=vmlinuz 
<6>Enabling fast FPU save and restore... done.
<6>Enabling unmasked SIMD FPU exception support...
done.
<6>Initializing CPU#0
<4>CPU 0 irqstacks, hard=c079d000 soft=c079c000
<4>PID hash table entries: 4096 (order: 12, 16384
bytes)
<4>Console: colour VGA+ 80x25
<4>Lock dependency validator: Copyright (c) 2006 Red
Hat, Inc., Ingo Molnar
<4>... MAX_LOCKDEP_SUBCLASSES:    8
<4>... MAX_LOCK_DEPTH:          30
<4>... MAX_LOCKDEP_KEYS:        2048
<4>... CLASSHASH_SIZE:           1024
<4>... MAX_LOCKDEP_ENTRIES:     8192
<4>... MAX_LOCKDEP_CHAINS:      8192
<4>... CHAINHASH_SIZE:          4096
<4> memory used by lock dependency info: 696 kB
<4> per task-struct memory footprint: 1200 bytes
<4>Dentry cache hash table entries: 131072 (order: 7,
524288 bytes)
<4>Inode-cache hash table entries: 65536 (order: 6,
262144 bytes)
<6>Memory: 637516k/655296k available (2014k kernel
code, 17216k reserved, 995k data, 196k init, 0k
highmem)
<4>Checking if this processor honours the WP bit even
in supervisor mode... Ok.
<4>Calibrating delay using timer specific routine..
901.92 BogoMIPS (lpj=1803854)
<6>Security Framework v1.0.0 initialized
<6>SELinux:  Initializing.
<6>SELinux:  Starting in permissive mode
<6>selinux_register_security:  Registering secondary
module capability
<6>Capability LSM initialized as secondary
<4>Mount-cache hash table entries: 512
<7>CPU: After generic identify, caps: 0387f9ff
00000000 00000000 00000000 00000000 00000000 00000000
<7>CPU: After vendor identify, caps: 0387f9ff 00000000
00000000 00000000 00000000 00000000 00000000
<6>CPU: L1 I cache: 16K, L1 D cache: 16K
<6>CPU: L2 cache: 512K
<5>CPU serial number disabled.
<7>CPU: After all inits, caps: 0383f1ff 00000000
00000000 00000040 00000000 00000000 00000000
<6>Intel machine check architecture supported.
<6>Intel machine check reporting enabled on CPU#0.
<4>CPU: Intel Pentium III (Katmai) stepping 03
<6>Checking 'hlt' instruction... OK.
<6>ACPI: Core revision 20060707
<4>ACPI: setting ELCR to 0200 (from 0c20)
<6>checking if image is initramfs... it is
<6>Freeing initrd memory: 5886k freed
<7>PM: Adding info for No Bus:platform
<6>NET: Registered protocol family 16
<6>ACPI: bus type pci registered
<6>PCI: PCI BIOS revision 2.10 entry at 0xfb180, last
bus=1
<6>PCI: Using configuration type 1
<4>Setting up standard PCI resources
<6>ACPI: Interpreter enabled
<6>ACPI: Using PIC for interrupt routing
<7>PM: Adding info for acpi:acpi
<6>ACPI: PCI Root Bridge [PCI0] (0000:00)
<7>PCI: Probing PCI hardware (bus 00)
<7>PM: Adding info for No Bus:pci0000:00
<6>ACPI: Assume root bridge [\_SB_.PCI0] bus is 0
<4>* Found PM-Timer Bug on the chipset. Due to
workarounds for a bug,
<4>* this clock source is slow. Consider trying other
clock sources
<4>PCI quirk: region 4000-403f claimed by PIIX4 ACPI
<4>PCI quirk: region 5000-500f claimed by PIIX4 SMB
<7>Boot video device is 0000:01:00.0
<7>ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
<7>PM: Adding info for pci:0000:00:00.0
<7>PM: Adding info for pci:0000:00:01.0
<7>PM: Adding info for pci:0000:00:07.0
<7>PM: Adding info for pci:0000:00:07.1
<7>PM: Adding info for pci:0000:00:07.2
<7>PM: Adding info for pci:0000:00:07.3
<7>PM: Adding info for pci:0000:00:08.0
<7>PM: Adding info for pci:0000:00:09.0
<7>PM: Adding info for pci:0000:00:09.1
<7>PM: Adding info for pci:0000:00:0c.0
<7>PM: Adding info for pci:0000:01:00.0
<4>ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 7 10
*11 12 14 15)
<4>ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 *5 6 7 10
11 12 14 15)
<4>ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 7 10
11 12 14 15) *0, disabled.
<4>ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 7 *10
11 12 14 15)
<6>ACPI: Power Resource [PFAN] (on)
<6>Linux Plug and Play Support v0.97 (c) Adam Belay
<6>pnp: PnP ACPI init
<7>PM: Adding info for No Bus:pnp0
<7>PM: Adding info for pnp:00:00
<7>PM: Adding info for pnp:00:01
<7>PM: Adding info for pnp:00:02
<7>PM: Adding info for pnp:00:03
<7>PM: Adding info for pnp:00:04
<7>PM: Adding info for pnp:00:05
<7>PM: Adding info for pnp:00:06
<7>PM: Adding info for pnp:00:07
<7>PM: Adding info for pnp:00:08
<7>PM: Adding info for pnp:00:09
<7>PM: Adding info for pnp:00:0a
<7>PM: Adding info for pnp:00:0b
<7>PM: Adding info for pnp:00:0c
<6>pnp: PnP ACPI: found 13 devices
<6>usbcore: registered new driver usbfs
<6>usbcore: registered new driver hub
<6>PCI: Using ACPI for IRQ routing
<6>PCI: If a device doesn't work, try "pci=routeirq". 
If it helps, post a report
<6>NetLabel: Initializing
<6>NetLabel:  domain hash size = 128
<6>NetLabel:  protocols = UNLABELED CIPSOv4
<6>NetLabel:  unlabeled traffic allowed by default
<6>PCI: Bridge: 0000:00:01.0
<6>  IO window: c000-cfff
<6>  MEM window: e4000000-e7ffffff
<6>  PREFETCH window: e8000000-e9ffffff
<6>NET: Registered protocol family 2
<4>IP route cache hash table entries: 32768 (order: 5,
131072 bytes)
<4>TCP established hash table entries: 65536 (order:
9, 2621440 bytes)
<4>TCP bind hash table entries: 32768 (order: 8,
1441792 bytes)
<6>TCP: Hash tables configured (established 65536 bind
32768)
<6>TCP reno registered
<7>PM: Adding info for platform:pcspkr
<6>apm: BIOS version 1.2 Flags 0x07 (Driver version
1.16ac)
<5>apm: overridden by ACPI.
<6>audit: initializing netlink socket (disabled)
<5>audit(1158780630.508:1): initialized
<4>Total HugeTLB memory allocated, 0
<5>VFS: Disk quotas dquot_6.5.1
<4>Dquot-cache hash table entries: 1024 (order 0, 4096
bytes)
<6>SELinux:  Registering netfilter hooks
<6>Initializing Cryptographic API
<4>ksign: Installing public key data
<4>Loading keyring
<4>- Added public key CEF3CFAA314ED8E8
<4>- User ID: Red Hat, Inc. (Kernel Module GPG key)
<6>io scheduler noop registered
<6>io scheduler anticipatory registered
<6>io scheduler deadline registered
<6>io scheduler cfq registered (default)
<6>Limiting direct PCI/PCI transfers.
<7>PM: Adding info for platform:vesafb.0
<4>ACPI: Transitioning device [FAN] to D0
<4>ACPI: Transitioning device [FAN] to D0
<6>ACPI: Fan [FAN] (off)
<6>ACPI: CPU0 (power states: C1[C1] C2[C2])
<6>ACPI: Thermal Zone [THRM] (40 C)
<7>PM: Adding info for No Bus:pnp1
<6>isapnp: Scanning for PnP cards...
<6>isapnp: No Plug & Play device found
<6>Real Time Clock Driver v1.12ac
<6>Non-volatile memory driver v1.2
<6>Linux agpgart interface v0.101 (c) Dave Jones
<6>agpgart: Detected an Intel 440BX Chipset.
<6>agpgart: AGP aperture is 64M @ 0xe0000000
<6>Serial: 8250/16550 driver $Revision: 1.90 $ 4
ports, IRQ sharing enabled
<7>PM: Adding info for platform:serial8250
<6>serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a
16550A
<6>serial8250: ttyS1 at I/O 0x2f8 (irq = 3) is a
16550A
<6>00:08: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
<6>00:09: ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
<7>PM: Adding info for No Bus:isa
<4>RAMDISK driver initialized: 16 RAM disks of 16384K
size 4096 blocksize
<6>Uniform Multi-Platform E-IDE driver Revision:
7.00alpha2
<6>ide: Assuming 33MHz system bus speed for PIO modes;
override with idebus=xx
<6>PIIX4: IDE controller at PCI slot 0000:00:07.1
<6>PIIX4: chipset revision 1
<6>PIIX4: not 100% native mode: will probe irqs later
<6>    ide0: BM-DMA at 0xf000-0xf007, BIOS settings:
hda:DMA, hdb:DMA
<6>    ide1: BM-DMA at 0xf008-0xf00f, BIOS settings:
hdc:DMA, hdd:DMA
<7>Probing IDE interface ide0...
<7>Probing IDE interface ide1...
<4>hdc: MATSHITADVD-ROM SR-8585, ATAPI CD/DVD-ROM
drive
<7>PM: Adding info for No Bus:ide1
<4>ide1 at 0x170-0x177,0x376 on irq 15
<7>PM: Adding info for ide:1.0
<7>Probing IDE interface ide0...
<4>ide-floppy driver 0.99.newide
<6>usbcore: registered new driver libusual
<6>usbcore: registered new driver hiddev
<6>usbcore: registered new driver usbhid
<6>drivers/usb/input/hid-core.c: v2.6:USB HID core
driver
<6>PNP: PS/2 Controller [PNP0303:PS2K,PNP0f13:PS2M] at
0x60,0x64 irq 1,12
<7>PM: Adding info for platform:i8042
<6>serio: i8042 AUX port at 0x60,0x64 irq 12
<6>serio: i8042 KBD port at 0x60,0x64 irq 1
<7>PM: Adding info for serio:serio0
<6>mice: PS/2 mouse device common for all mice
<6>md: md driver 0.90.3 MAX_MD_DEVS=256,
MD_SB_DISKS=27
<6>md: bitmap version 4.39
<6>TCP bic registered
<6>Initializing IPsec netlink socket
<6>NET: Registered protocol family 1
<6>NET: Registered protocol family 17
<4>Using IPI Shortcut mode
<7>PM: Adding info for serio:serio1
<6>ACPI: (supports S0 S1 S3 S4 S5<6>Time: tsc
clocksource has been installed.
<4>)
<6>Freeing unused kernel memory: 196k freed
<4>Write protecting the kernel read-only data: 369k
<6>Time: acpi_pm clocksource has been installed.
<6>input: AT Translated Set 2 keyboard as
/class/input/input0
<6>input: ImExPS/2 Generic Explorer Mouse as
/class/input/input1
<5>FS-Cache: Loaded
<4>FS-Cache: netfs 'nfs' registered for caching
<6>loop: loaded (max 8 devices)
<6>Floppy drive(s): fd0 is 1.44M
<6>FDC 0 is a post-1991 82077
<7>PM: Adding info for platform:floppy.0
<6>BIOS EDD facility v0.16 2004-Jun-25, 1 devices
found
<6>input: PC Speaker as /class/input/input2
<6>squashfs: version 3.1 (2006/08/09) Phillip Lougher
<6>NET: Registered protocol family 10
<6>lo: Disabled Privacy Extensions
<6>IPv6 over IPv4 tunneling driver
<6>hdc: ATAPI 40X DVD-ROM drive, 512kB Cache, UDMA(33)
<6>Uniform CD-ROM driver Revision: 3.20
<5>SCSI subsystem initialized
<6>Loading iSCSI transport class v2.0-685.<5>iscsi:
registered transport (tcp)
<6>USB Universal Host Controller Interface driver v3.0
<4>ACPI: PCI Interrupt Link [LNKD] enabled at IRQ 10
<7>PCI: setting IRQ 10 as level-triggered
<6>ACPI: PCI Interrupt 0000:00:07.2[D] -> Link [LNKD]
-> GSI 10 (level, low) -> IRQ 10
<6>uhci_hcd 0000:00:07.2: UHCI Host Controller
<6>uhci_hcd 0000:00:07.2: new USB bus registered,
assigned bus number 1
<6>uhci_hcd 0000:00:07.2: irq 10, io base 0x0000d000
<7>PM: Adding info for usb:usb1
<7>PM: Adding info for No Bus:usbdev1.1_ep00
<6>usb usb1: configuration #1 chosen from 1 choice
<7>PM: Adding info for usb:1-0:1.0
<6>hub 1-0:1.0: USB hub found
<6>hub 1-0:1.0: 2 ports detected
<7>PM: Adding info for No Bus:usbdev1.1_ep81
<6>usb 1-2: new full speed USB device using uhci_hcd
and address 2
<7>PM: Adding info for usb:1-2
<7>PM: Adding info for No Bus:usbdev1.2_ep00
<6>usb 1-2: configuration #1 chosen from 1 choice
<7>PM: Adding info for usb:1-2:1.0
<7>PM: Adding info for No Bus:usbdev1.2_ep81
<7>PM: Adding info for No Bus:usbdev1.2_ep02
<6>Initializing USB Mass Storage driver...
<6>scsi0 : SCSI emulation for USB Mass Storage devices
<7>PM: Adding info for No Bus:host0
<7>usb-storage: device found at 2
<7>usb-storage: waiting for device to settle before
scanning
<6>usbcore: registered new driver usb-storage
<6>USB Mass Storage support registered.
<7>PM: Adding info for No Bus:target0:0:0
<5>  Vendor: FUJITSU   Model: MHH2048AT         Rev:
0811
<5>  Type:   Direct-Access                      ANSI
SCSI revision: 00
<7>PM: Adding info for scsi:0:0:0:0
<5>SCSI device sda: 9514260 512-byte hdwr sectors
(4871 MB)
<4>sda: test WP failed, assume Write Enabled
<3>sda: assuming drive cache: write through
<5>SCSI device sda: 9514260 512-byte hdwr sectors
(4871 MB)
<4>sda: test WP failed, assume Write Enabled
<3>sda: assuming drive cache: write through
<6> sda: sda1
<5>sd 0:0:0:0: Attached scsi disk sda
<7>PM: Adding info for No Bus:target0:0:1
<7>PM: Removing info for No Bus:target0:0:1
<7>PM: Adding info for No Bus:target0:0:2
<7>PM: Removing info for No Bus:target0:0:2
<7>PM: Adding info for No Bus:target0:0:3
<7>PM: Removing info for No Bus:target0:0:3
<7>PM: Adding info for No Bus:target0:0:4
<7>PM: Removing info for No Bus:target0:0:4
<7>PM: Adding info for No Bus:target0:0:5
<7>PM: Removing info for No Bus:target0:0:5
<7>PM: Adding info for No Bus:target0:0:6
<7>PM: Removing info for No Bus:target0:0:6
<7>PM: Adding info for No Bus:target0:0:7
<7>PM: Removing info for No Bus:target0:0:7
<7>usb-storage: device scan complete
<6>usbcore: deregistering driver usb-storage
<7>PM: Removing info for scsi:0:0:0:0
<7>PM: Removing info for No Bus:target0:0:0
<7>PM: Removing info for No Bus:host0
<7>PM: Removing info for No Bus:usbdev1.2_ep81
<7>PM: Removing info for No Bus:usbdev1.2_ep02
<7>PM: Adding info for No Bus:usbdev1.2_ep81
<7>PM: Adding info for No Bus:usbdev1.2_ep02
<6>8139too Fast Ethernet driver 0.9.27
<4>ACPI: PCI Interrupt Link [LNKA] enabled at IRQ 11
<7>PCI: setting IRQ 11 as level-triggered
<6>ACPI: PCI Interrupt 0000:00:0c.0[A] -> Link [LNKA]
-> GSI 11 (level, low) -> IRQ 11
<6>eth0: RealTek RTL8139 at 0xe886a000,
00:e0:4c:90:03:70, IRQ 11
<7>eth0:  Identified 8139 chip type 'RTL-8139A'
<6>Fusion MPT base driver 3.04.01
<6>Copyright (c) 1999-2005 LSI Logic Corporation
<6>Fusion MPT FC Host driver 3.04.01
<6>ACPI: PCI Interrupt 0000:00:08.0[A] -> Link [LNKA]
-> GSI 11 (level, low) -> IRQ 11
<6>mptbase: Initiating ioc0 bringup
<6>ioc0: FC909: Capabilities={Initiator,LAN}
<6>scsi1 : ioc0: LSIFC909, FwRev=01000000h, Ports=1,
MaxQ=1023, IRQ=11
<7>PM: Adding info for No Bus:host1
<6>Initializing USB Mass Storage driver...
<6>scsi2 : SCSI emulation for USB Mass Storage devices
<7>PM: Adding info for No Bus:host2
<7>usb-storage: device found at 2
<7>usb-storage: waiting for device to settle before
scanning
<6>usbcore: registered new driver usb-storage
<6>USB Mass Storage support registered.
<7>ISO 9660 Extensions: Microsoft Joliet Level 3
<4>Unable to load NLS charset utf8
<4>Unable to load NLS charset utf8
<7>ISO 9660 Extensions: RRIP_1991A
<4>Unable to identify CD-ROM format.
<4>VFS: Can't find an ext2 filesystem on dev loop0.
<7>PM: Adding info for No Bus:target2:0:0
<5>  Vendor: FUJITSU   Model: MHH2048AT         Rev:
0811
<5>  Type:   Direct-Access                      ANSI
SCSI revision: 00
<7>PM: Adding info for scsi:2:0:0:0
<5>SCSI device sda: 9514260 512-byte hdwr sectors
(4871 MB)
<4>sda: test WP failed, assume Write Enabled
<3>sda: assuming drive cache: write through
<5>SCSI device sda: 9514260 512-byte hdwr sectors
(4871 MB)
<4>sda: test WP failed, assume Write Enabled
<3>sda: assuming drive cache: write through
<6> sda: sda1
<5>sd 2:0:0:0: Attached scsi disk sda
<7>PM: Adding info for No Bus:target2:0:1
<7>PM: Removing info for No Bus:target2:0:1
<7>PM: Adding info for No Bus:target2:0:2
<7>PM: Removing info for No Bus:target2:0:2
<7>PM: Adding info for No Bus:target2:0:3
<7>PM: Removing info for No Bus:target2:0:3
<7>PM: Adding info for No Bus:target2:0:4
<7>PM: Removing info for No Bus:target2:0:4
<7>PM: Adding info for No Bus:target2:0:5
<7>PM: Removing info for No Bus:target2:0:5
<7>PM: Adding info for No Bus:target2:0:6
<7>PM: Removing info for No Bus:target2:0:6
<7>PM: Adding info for No Bus:target2:0:7
<7>PM: Removing info for No Bus:target2:0:7
<7>usb-storage: device scan complete
<6>security:  3 users, 6 roles, 1532 types, 159 bools,
1 sens, 256 cats
<6>security:  58 classes, 47255 rules
<6>SELinux:  Completing initialization.
<6>SELinux:  Setting up existing superblocks.
<6>SELinux: initialized (dev loop0, type squashfs),
not configured for labeling
<6>SELinux: initialized (dev hdc, type iso9660), uses
genfs_contexts
<6>SELinux: initialized (dev usbfs, type usbfs), uses
genfs_contexts
<6>SELinux: initialized (dev ramfs, type ramfs), uses
genfs_contexts
<6>SELinux: initialized (dev ramfs, type ramfs), uses
genfs_contexts
<6>SELinux: initialized (dev tmpfs, type tmpfs), uses
transition SIDs
<6>SELinux: initialized (dev debugfs, type debugfs),
uses genfs_contexts
<6>SELinux: initialized (dev selinuxfs, type
selinuxfs), uses genfs_contexts
<6>SELinux: initialized (dev mqueue, type mqueue),
uses transition SIDs
<6>SELinux: initialized (dev hugetlbfs, type
hugetlbfs), uses genfs_contexts
<6>SELinux: initialized (dev devpts, type devpts),
uses transition SIDs
<6>SELinux: initialized (dev eventpollfs, type
eventpollfs), uses task SIDs
<6>SELinux: initialized (dev inotifyfs, type
inotifyfs), uses genfs_contexts
<6>SELinux: initialized (dev tmpfs, type tmpfs), uses
transition SIDs
<6>SELinux: initialized (dev futexfs, type futexfs),
uses genfs_contexts
<6>SELinux: initialized (dev pipefs, type pipefs),
uses task SIDs
<6>SELinux: initialized (dev sockfs, type sockfs),
uses task SIDs
<6>SELinux: initialized (dev proc, type proc), uses
genfs_contexts
<6>SELinux: initialized (dev bdev, type bdev), uses
genfs_contexts
<6>SELinux: initialized (dev rootfs, type rootfs),
uses genfs_contexts
<6>SELinux: initialized (dev sysfs, type sysfs), uses
genfs_contexts
<5>audit(1158780664.906:2): policy loaded
auid=4294967295
<6>md: raid0 personality registered for level 0
<6>md: raid1 personality registered for level 1
<6>raid5: automatically using best checksumming
function: pIII_sse
<4>   pIII_sse  :   899.000 MB/sec
<4>raid5: using function: pIII_sse (899.000 MB/sec)
<4>raid6: int32x1     91 MB/s
<4>raid6: int32x2     85 MB/s
<4>raid6: int32x4    112 MB/s
<4>raid6: int32x8    117 MB/s
<4>raid6: mmxx1      251 MB/s
<4>raid6: mmxx2      293 MB/s
<4>raid6: sse1x1     222 MB/s
<4>raid6: sse1x2     333 MB/s
<4>raid6: using algorithm sse1x2 (333 MB/s)
<6>md: raid6 personality registered for level 6
<6>md: raid5 personality registered for level 5
<6>md: raid4 personality registered for level 4
<4>GFS2 (built Sep  6 2006 16:28:42) installed
<6>Lock_Nolock (built Sep  6 2006 16:29:00) installed
<6>JFS: nTxBlock = 5029, nTxLock = 40236
<6>SGI XFS with ACLs, security attributes, large block
numbers, no debug enabled
<6>SGI XFS Quota Management subsystem
<6>device-mapper: ioctl: 4.7.0-ioctl (2006-06-24)
initialised: dm-devel@redhat.com
<6>device-mapper: multipath: version 1.0.4 loaded
<6>device-mapper: multipath round-robin: version 1.0.0
loaded
<6>device-mapper: multipath emc: version 0.0.3 loaded
<5>audit(1158780680.307:3): audit_pid=584 old=0 by
auid=4294967295 subj=system_u:system_r:anaconda_t:s0
<6>SELinux: initialized (dev fd0, type vfat), uses
genfs_contexts

anaconda.log:

19:30:35 INFO    : 643776 kB are available
19:30:35 INFO    : modules to insert cramfs fat vfat
sunrpc lockd fscache nfs_acl nfs loop isofs floppy edd
pcspkr squashfs
19:30:36 INFO    : loaded cramfs from
/modules/modules.cgz
19:30:36 INFO    : loaded fat from
/modules/modules.cgz
19:30:36 INFO    : loaded vfat from
/modules/modules.cgz
19:30:36 INFO    : loaded sunrpc from
/modules/modules.cgz
19:30:36 INFO    : loaded lockd from
/modules/modules.cgz
19:30:36 INFO    : loaded fscache from
/modules/modules.cgz
19:30:36 INFO    : loaded nfs_acl from
/modules/modules.cgz
19:30:36 INFO    : loaded nfs from
/modules/modules.cgz
19:30:36 INFO    : loaded loop from
/modules/modules.cgz
19:30:36 INFO    : loaded floppy from
/modules/modules.cgz
19:30:36 INFO    : loaded edd from
/modules/modules.cgz
19:30:36 INFO    : loaded pcspkr from
/modules/modules.cgz
19:30:36 INFO    : loaded squashfs from
/modules/modules.cgz
19:30:36 DEBUG   : module(s) isofs not found
19:30:36 INFO    : inserted /tmp/cramfs.ko
19:30:36 INFO    : inserted /tmp/fat.ko
19:30:36 INFO    : inserted /tmp/vfat.ko
19:30:36 INFO    : inserted /tmp/sunrpc.ko
19:30:36 INFO    : inserted /tmp/lockd.ko
19:30:36 INFO    : inserted /tmp/fscache.ko
19:30:36 INFO    : inserted /tmp/nfs_acl.ko
19:30:36 INFO    : inserted /tmp/nfs.ko
19:30:36 INFO    : inserted /tmp/loop.ko
19:30:36 INFO    : inserted /tmp/floppy.ko
19:30:36 INFO    : inserted /tmp/edd.ko
19:30:36 INFO    : inserted /tmp/pcspkr.ko
19:30:36 INFO    : inserted /tmp/squashfs.ko
19:30:36 INFO    : load module set done
19:30:36 INFO    : modules to insert ipv6
19:30:37 INFO    : loaded ipv6 from
/modules/modules.cgz
19:30:37 INFO    : inserted /tmp/ipv6.ko
19:30:37 INFO    : load module set done
19:30:37 INFO    : modules to insert cdrom ide-cd
19:30:38 INFO    : loaded cdrom from
/modules/modules.cgz
19:30:38 INFO    : loaded ide-cd from
/modules/modules.cgz
19:30:38 INFO    : inserted /tmp/cdrom.ko
19:30:38 INFO    : inserted /tmp/ide-cd.ko
19:30:38 INFO    : load module set done
19:30:38 INFO    : modules to insert scsi_mod sd_mod
sr_mod
19:30:39 INFO    : loaded scsi_mod from
/modules/modules.cgz
19:30:39 INFO    : loaded sd_mod from
/modules/modules.cgz
19:30:39 INFO    : loaded sr_mod from
/modules/modules.cgz
19:30:39 INFO    : inserted /tmp/scsi_mod.ko
19:30:39 INFO    : inserted /tmp/sd_mod.ko
19:30:39 INFO    : inserted /tmp/sr_mod.ko
19:30:39 INFO    : load module set done
19:30:39 INFO    : modules to insert
scsi_transport_iscsi libiscsi iscsi_tcp
19:30:40 INFO    : loaded scsi_transport_iscsi from
/modules/modules.cgz
19:30:40 INFO    : loaded libiscsi from
/modules/modules.cgz
19:30:40 INFO    : loaded iscsi_tcp from
/modules/modules.cgz
19:30:40 INFO    : inserted
/tmp/scsi_transport_iscsi.ko
19:30:40 INFO    : inserted /tmp/libiscsi.ko
19:30:40 INFO    : inserted /tmp/iscsi_tcp.ko
19:30:40 INFO    : load module set done
19:30:40 INFO    : looking for usb controllers
19:30:40 INFO    : found USB controller uhci-hcd
19:30:40 INFO    : modules to insert uhci-hcd
19:30:41 INFO    : loaded uhci-hcd from
/modules/modules.cgz
19:30:41 INFO    : inserted /tmp/uhci-hcd.ko
19:30:41 INFO    : load module set done
19:30:41 DEBUG   : waiting for usb to become stable...
19:30:43 DEBUG   : 2 seconds.
19:30:43 INFO    : modules to insert hid keybdev
usb-storage
19:30:44 INFO    : loaded usb-storage from
/modules/modules.cgz
19:30:44 DEBUG   : module(s) hid keybdev not found
19:30:50 DEBUG   : slept 6 seconds
19:30:51 INFO    : inserted /tmp/usb-storage.ko
19:30:51 INFO    : load module set done
19:30:52 INFO    : no firewire controller found
19:30:52 DEBUG   : no pcic controller found
19:30:52 DEBUG   : probing buses
19:30:52 DEBUG   : finished bus probing
19:30:52 DEBUG   : ignoring driverless device Unknown
device 1319:0802
19:30:52 DEBUG   : ignoring driverless device Intel
Corporation Unknown device 7113
19:30:52 DEBUG   : ignoring driverless device Intel
Corporation Unknown device 7110
19:30:52 DEBUG   : ignoring driverless device Intel
Corporation Unknown device 7191
19:30:52 DEBUG   : ignoring driverless device Intel
Corporation Unknown device 7190
19:30:52 DEBUG   : ignoring driverless device Unknown
device 1319:0801
19:30:52 DEBUG   : ignoring driverless device Matrox
Graphics, Inc. MGA G400/G450
19:30:52 DEBUG   : ignoring driverless device Intel
Corporation Unknown device 7111
19:30:52 INFO    : modules to insert mii 8139too
mptbase mptscsih scsi_transport_fc mptfc
19:30:53 INFO    : loaded mii from
/modules/modules.cgz
19:30:53 INFO    : loaded 8139too from
/modules/modules.cgz
19:30:53 INFO    : loaded mptbase from
/modules/modules.cgz
19:30:53 INFO    : loaded mptscsih from
/modules/modules.cgz
19:30:53 INFO    : loaded scsi_transport_fc from
/modules/modules.cgz
19:30:53 INFO    : loaded mptfc from
/modules/modules.cgz
19:30:53 INFO    : going to rmmod usb-storage
19:30:53 INFO    : inserted /tmp/mii.ko
19:30:53 INFO    : inserted /tmp/8139too.ko
19:30:54 INFO    : inserted /tmp/mptbase.ko
19:30:54 INFO    : inserted /tmp/mptscsih.ko
19:30:54 INFO    : inserted /tmp/scsi_transport_fc.ko
19:30:56 INFO    : inserted /tmp/mptfc.ko
19:30:56 INFO    : modules to insert usb-storage
19:30:57 INFO    : loaded usb-storage from
/modules/modules.cgz
19:30:58 INFO    : inserted /tmp/usb-storage.ko
19:30:58 INFO    : load module set done
19:30:58 INFO    : load module set done
19:30:58 INFO    : trying to mount CD device hdc
19:31:00 INFO    : mntloop loop0 on /mnt/runtime as
/mnt/source/images/stage2.img fd is 43
19:31:01 DEBUG   : MD5SUM ->
725578b7f158968973eeb768cf2504d4
19:31:01 DEBUG   : skipsectors = 15
19:31:01 INFO    : supported = 0
19:31:03 INFO    : Loading SELinux policy
19:31:04 INFO    : getting ready to spawn shell now
19:31:04 INFO    : modules to insert
19:31:04 INFO    : load module set done
19:31:04 INFO    : modules to insert
19:31:04 INFO    : load module set done
19:31:04 INFO    : modules to insert
19:31:04 INFO    : load module set done
19:31:04 DEBUG   : probing buses
19:31:05 DEBUG   : finished bus probing
19:31:05 DEBUG   : ignoring driverless device
Fortemedia, Inc Xwave QS3000A [FM801 game port]
19:31:05 DEBUG   : ignoring driverless device Intel
Corporation 82371AB/EB/MB PIIX4 ACPI
19:31:05 DEBUG   : ignoring driverless device Intel
Corporation 82371AB/EB/MB PIIX4 ISA
19:31:05 DEBUG   : ignoring driverless device Intel
Corporation 440BX/ZX/DX - 82443BX/ZX/DX AGP bridge
19:31:05 DEBUG   : ignoring driverless device Intel
Corporation 440BX/ZX/DX - 82443BX/ZX/DX Host bridge
19:31:05 DEBUG   : ignoring driverless device
Fortemedia, Inc Xwave QS3000A [FM801]
19:31:05 DEBUG   : ignoring driverless device Matrox
Graphics, Inc. MGA G400/G450
19:31:05 DEBUG   : ignoring driverless device Intel
Corporation 82371AB/EB/MB PIIX4 IDE
19:31:05 INFO    : modules to insert
19:31:05 INFO    : load module set done
19:31:05 INFO    : modules to insert md raid0 raid1
raid5 raid6 xor raid456 msdos jbd ext3 gfs2
lock_nolock reiserfs jfs xfs dm-mod dm-zero dm-mirror
dm-snapshot dm-multipath dm-round-robin dm-emc
19:31:06 INFO    : loaded raid0 from
/modules/modules.cgz
19:31:06 INFO    : loaded raid1 from
/modules/modules.cgz
19:31:06 INFO    : loaded xor from
/modules/modules.cgz
19:31:06 INFO    : loaded raid456 from
/modules/modules.cgz
19:31:06 INFO    : loaded msdos from
/modules/modules.cgz
19:31:06 INFO    : loaded jbd from
/modules/modules.cgz
19:31:06 INFO    : loaded ext3 from
/modules/modules.cgz
19:31:06 INFO    : loaded gfs2 from
/modules/modules.cgz
19:31:06 INFO    : loaded lock_nolock from
/modules/modules.cgz
19:31:06 INFO    : loaded reiserfs from
/modules/modules.cgz
19:31:06 INFO    : loaded jfs from
/modules/modules.cgz
19:31:06 INFO    : loaded xfs from
/modules/modules.cgz
19:31:06 INFO    : loaded dm-mod from
/modules/modules.cgz
19:31:06 INFO    : loaded dm-zero from
/modules/modules.cgz
19:31:06 INFO    : loaded dm-mirror from
/modules/modules.cgz
19:31:06 INFO    : loaded dm-snapshot from
/modules/modules.cgz
19:31:06 INFO    : loaded dm-multipath from
/modules/modules.cgz
19:31:06 INFO    : loaded dm-round-robin from
/modules/modules.cgz
19:31:06 INFO    : loaded dm-emc from
/modules/modules.cgz
19:31:06 DEBUG   : module(s) md raid5 raid6 not found
19:31:06 INFO    : inserted /tmp/raid0.ko
19:31:06 INFO    : inserted /tmp/raid1.ko
19:31:06 INFO    : inserted /tmp/xor.ko
19:31:06 INFO    : inserted /tmp/raid456.ko
19:31:06 INFO    : inserted /tmp/msdos.ko
19:31:07 INFO    : inserted /tmp/jbd.ko
19:31:07 INFO    : inserted /tmp/ext3.ko
19:31:07 INFO    : inserted /tmp/gfs2.ko
19:31:07 INFO    : inserted /tmp/lock_nolock.ko
19:31:07 INFO    : inserted /tmp/reiserfs.ko
19:31:07 INFO    : inserted /tmp/jfs.ko
19:31:07 INFO    : inserted /tmp/xfs.ko
19:31:07 INFO    : inserted /tmp/dm-mod.ko
19:31:07 INFO    : inserted /tmp/dm-zero.ko
19:31:07 INFO    : inserted /tmp/dm-mirror.ko
19:31:07 INFO    : inserted /tmp/dm-snapshot.ko
19:31:07 INFO    : inserted /tmp/dm-multipath.ko
19:31:07 INFO    : inserted /tmp/dm-round-robin.ko
19:31:07 INFO    : inserted /tmp/dm-emc.ko
19:31:07 INFO    : load module set done
19:31:07 INFO    : looking for USB mouse...
19:31:07 INFO    : Running anaconda script
/usr/bin/anaconda
19:31:21 INFO    : using only installclass _Fedora
19:31:21 INFO    : _Fedora is only installclass, using
it
19:31:21 INFO    : Display mode = g
19:31:21 INFO    : Method = cdrom://hdc:/mnt/source
19:31:30 INFO    : anaconda floppy device fd0
19:31:48 INFO    : Started mini-wm
19:31:48 INFO    : Starting graphical installation...
19:31:59 INFO    : Detected 640M of memory
19:31:59 INFO    : Swap attempt of 640M to 1280M
19:31:59 WARNING : step installtype does not exist
19:31:59 WARNING : step complete does not exist
19:32:05 INFO    : moving (1) to step welcome
19:33:15 INFO    : moving (1) to step betanag
19:33:18 INFO    : moving (1) to step language
19:33:21 WARNING : /usr/lib/anaconda/gui.py:1108:
PangoWarning: Error loading GPOS table 4097
  gtk.main()

19:33:22 INFO    : moving (1) to step keyboard
19:33:27 INFO    : moving (1) to step findrootparts
19:33:27 DEBUG   : starting mpaths
19:33:27 DEBUG   : self.driveList(): ['sda']
19:33:27 DEBUG   : DiskSet.skippedDisks: []
19:33:27 DEBUG   : DiskSet.skippedDisks: []
19:33:27 DEBUG   : starting all mpaths on drives
['sda']
19:33:27 DEBUG   : scanning for multipath on drives
['sda']
19:33:27 DEBUG   : mpaths: []
19:33:27 DEBUG   : done starting mpaths.  Drivelist:
['sda']
19:33:27 DEBUG   : starting dmraids
19:33:27 DEBUG   : self.driveList(): ['sda']
19:33:27 DEBUG   : DiskSet.skippedDisks: []
19:33:27 DEBUG   : DiskSet.skippedDisks: []
19:33:27 DEBUG   : starting all dmraids on drives
['sda']
19:33:27 DEBUG   : scanning for dmraid on drives
['sda']
19:33:29 DEBUG   : done starting dmraids.  Drivelist:
['sda']
19:33:35 WARNING : step complete does not exist
19:33:35 INFO    : moving (1) to step partitionobjinit
19:33:35 INFO    : no initiator set
19:33:39 ERROR   : could not create directory
//dev/mapper: File exists
19:33:39 INFO    : moving (1) to step parttype  

That's it. Any clues?
Comment 9 Konrad Rzeszutek 2006-09-20 08:49:37 EDT
Rudy,

Thank you for providing the input. I am putting Tom Coughlan on CC on this bug
since he is the storage expert and might know what is amiss.

You mentioned that other distros have no problem. If you have some time, can you
provide the dmesg output of them? It can give an idea what is different in the
driver between it and FC6. Also it will give an idea of how the fiber channel
disk is treated by the kernel.

Tom,
Do you have any idea why the mptfc driver does not detect the disks? Are there
some special modules that have to be loaded as well? Firmware inconsitencies?

Here is the part of the message:

6>Fusion MPT base driver 3.04.01
<6>Copyright (c) 1999-2005 LSI Logic Corporation
<6>Fusion MPT FC Host driver 3.04.01
<6>ACPI: PCI Interrupt 0000:00:08.0[A] -> Link [LNKA]
-> GSI 11 (level, low) -> IRQ 11
<6>mptbase: Initiating ioc0 bringup
<6>ioc0: FC909: Capabilities={Initiator,LAN}
<6>scsi1 : ioc0: LSIFC909, FwRev=01000000h, Ports=1,
MaxQ=1023, IRQ=11

Thanks.
Comment 10 Tom Coughlan 2006-09-20 09:32:37 EDT
The messages indidcate that the two drivers you need are loaded: mptbase and mptfc. 

If we are certain there is no hardware problem (e.g., other versions of the o.s.
work fine on this same system), then the next place to look is whether
interrupts are being assigned and working correctly. Maybe try using "noprobe"
and specify just the fusion driver. If it is possible to attach other storage to
install to, then it will be easier to debug the mpt fusion problem. We have one
of these boards on-house, I'll try to get a test set up on that and see if we
can reproduce this. 
Comment 11 Rudy Dubbelboer 2006-09-21 07:07:52 EDT
Guys,

I have a usb drive attached to the system that's happily detected no matter 
what i use, fedora, suse, mandriva, debian etc. Even horrible distros like 
slackware, gentoo & freebsd. Also i'd like to mention that i have debian 3.1 
installed on another fibre channel drive that i can swap over to and boot from 
(that one actually coexists with XP)

Here's the dmesg output from a debian 3.1 install that let me install it onto 
FC drive:

Linux version 2.4.27-2-386
(horms@charles.lab.ultramonkey.org) (gcc version 3.3.5
(Debian 1:3.3.5-6)) #1 Thu Jan 20 10:55:08 JST 2005
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00
(usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000
(reserved)
 BIOS-e820: 00000000000f0000 - 0000000000100000
(reserved)
 BIOS-e820: 0000000000100000 - 0000000027ff0000
(usable)
 BIOS-e820: 0000000027ff0000 - 0000000027ff3000 (ACPI
NVS)
 BIOS-e820: 0000000027ff3000 - 0000000028000000 (ACPI
data)
 BIOS-e820: 00000000ffff0000 - 0000000100000000
(reserved)
639MB LOWMEM available.
On node 0 totalpages: 163824
zone(0): 4096 pages.
zone(1): 159728 pages.
zone(2): 0 pages.
ACPI disabled because your bios is from 99 and too old
You can enable it with acpi=force
Kernel command line: vga=normal
initrd=/install/initrd.gz ramdisk_size=10240
root=/dev/rd/0 devfs=mount,dall rw --
BOOT_IMAGE=/install/vmlinuz 
Local APIC disabled by BIOS -- reenabling.
Found and enabled local APIC!
Initializing CPU#0
Detected 449.958 MHz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 897.84 BogoMIPS
Memory: 643012k/655296k available (1069k kernel code,
11896k reserved, 459k data, 96k init, 0k highmem)
Dentry cache hash table entries: 131072 (order: 8,
1048576 bytes)
Inode cache hash table entries: 65536 (order: 7,
524288 bytes)
Mount cache hash table entries: 512 (order: 0, 4096
bytes)
Buffer cache hash table entries: 65536 (order: 6,
262144 bytes)
Page-cache hash table entries: 262144 (order: 8,
1048576 bytes)
CPU: L1 I cache: 16K, L1 D cache: 16K
CPU: L2 cache: 512K
CPU serial number disabled.
CPU:     After generic, caps: 0383fbff 00000000
00000000 00000000
CPU:             Common caps: 0383fbff 00000000
00000000 00000000
CPU: Intel Pentium III (Katmai) stepping 03
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
Checking for popad bug... OK.
POSIX conformance testing by UNIFIX
enabled ExtINT on CPU#0
ESR value before enabling vector: 00000000
ESR value after enabling vector: 00000000
Using local APIC timer interrupts.
calibrating APIC timer ...
..... CPU clock speed is 449.9359 MHz.
..... host bus clock speed is 99.9854 MHz.
cpu: 0, clocks: 999854, slice: 499927
CPU0<T0:999840,T1:499904,D:9,S:499927,C:999854>
ACPI: Subsystem revision 20040326
ACPI: Interpreter disabled.
PCI: PCI BIOS revision 2.10 entry at 0xfb180, last
bus=1
PCI: Using configuration type 1
PCI: Probing PCI hardware
PCI: Probing PCI hardware (bus 00)
PCI: Using IRQ router PIIX/ICH [8086/7110] at 00:07.0
Limiting direct PCI/PCI transfers.
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society
NET3.039
Initializing RT netlink socket
Starting kswapd
VFS: Disk quotas vdquot_6.5.1
devfs: v1.12c (20020818) Richard Gooch
(rgooch@atnf.csiro.au)
devfs: boot_options: 0x1
pty: 256 Unix98 ptys configured
Serial driver version 5.05c (2001-07-08) with HUB-6
MANY_PORTS MULTIPORT SHARE_IRQ SERIAL_PCI enabled
ttyS00 at 0x03f8 (irq = 4) is a 16550A
ttyS01 at 0x02f8 (irq = 3) is a 16550A
COMX: driver version 0.85 (C) 1995-1999 ITConsult-Pro
Co. <info@itc.hu>
RAMDISK driver initialized: 16 RAM disks of 10240K
size 1024 blocksize
Initializing Cryptographic API
NET4: Linux TCP/IP 1.0 for NET4.0
IP: routing cache hash table of 8192 buckets, 64Kbytes
TCP: Hash tables configured (established 262144 bind
65536)
Linux IP multicast router 0.06 plus PIM-SM
RAMDISK: Compressed image found at block 0
Freeing initrd memory: 2911k freed
VFS: Mounted root (ext2 filesystem).
Mounted devfs on /dev
VFS: Mounted root (ext2 filesystem).
Trying to move old root to /initrd ... okay
Mounted devfs on /dev
Freeing unused kernel memory: 96k freed
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
usb-uhci.c: $Revision: 1.275 $ time 11:00:40 Jan 20
2005
usb-uhci.c: High bandwidth mode enabled
usb-uhci.c: USB UHCI at I/O 0xd000, IRQ 10
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 1
hub.c: USB hub found
hub.c: 2 ports detected
usb-uhci.c: v1.275:USB Universal Host Controller
Interface driver
usb.c: registered new driver usbkbd
usbkbd.c: :USB HID Boot Protocol keyboard driver
usb.c: registered new driver serial
usbserial.c: USB Serial support registered for Generic
usbserial.c: USB Serial Driver core v1.4
hub.c: new USB device 00:07.2-2, assigned address 2
usb.c: USB device 2 (vend/prod 0x5e3/0x702) is not
claimed by any active driver.
vga16fb: initializing
vga16fb: mapped to 0xc00a0000
Console: switching to colour frame buffer device 80x30
fb0: VGA16 VGA frame buffer device
Uniform Multi-Platform E-IDE driver Revision:
7.00beta4-2.4
ide: Assuming 33MHz system bus speed for PIO modes;
override with idebus=xx
SCSI subsystem driver Revision: 1.00
Initializing USB Mass Storage driver...
usb.c: registered new driver usb-storage
scsi0 : SCSI emulation for USB Mass Storage devices
usb-uhci.c: interrupt, status 3, frame# 1807
  Vendor: FUJITSU   Model: MHH2048AT         Rev: 0811
  Type:   Direct-Access                      ANSI SCSI
revision: 02
WARNING: USB Mass Storage data integrity not assured
USB Mass Storage device found at 2
USB Mass Storage support registered.
inserting floppy driver for 2.4.27-2-386
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
ide: late registration of driver.
PIIX4: IDE controller at PCI slot 00:07.1
PIIX4: chipset revision 1
PIIX4: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xf000-0xf007, BIOS settings:
hda:DMA, hdb:DMA
    ide1: BM-DMA at 0xf008-0xf00f, BIOS settings:
hdc:DMA, hdd:DMA
hdc: MATSHITADVD-ROM SR-8585, ATAPI CD/DVD-ROM drive
ide1 at 0x170-0x177,0x376 on irq 15
hdc: attached ide-cdrom driver.
hdc: ATAPI 61X DVD-ROM drive, 512kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.12
Attached scsi disk sda at scsi0, channel 0, id 0, lun
0
SCSI device sda: 9514260 512-byte hdwr sectors (4871
MB)
Partition check:
 /dev/scsi/host0/bus0/target0/lun0: p1
Linux Kernel Card Services 3.1.22
  options:  [pci] [cardbus] [pm]
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Intel ISA PCIC probe: not found.
Intel ISA PCIC probe: not found.
ISO 9660 Extensions: Microsoft Joliet Level 3
ISO 9660 Extensions: RRIP_1991A
8139too Fast Ethernet driver 0.9.26
PCI: Found IRQ 11 for device 00:0c.0
PCI: Sharing IRQ 11 with 00:08.0
eth0: RealTek RTL8139 at 0xe000, 00:e0:4c:90:03:70,
IRQ 11
eth0:  Identified 8139 chip type 'RTL-8139A'
Fusion MPT base driver 2.05.16
Copyright (c) 1999-2004 LSI Logic Corporation
PCI: Found IRQ 11 for device 00:08.0
PCI: Sharing IRQ 11 with 00:0c.0
mptbase: Initiating ioc0 bringup
ioc0: FC909: Capabilities={Initiator,LAN}
mptbase: 1 MPT adapter found, 1 installed.
Fusion MPT SCSI Host driver 2.05.16
scsi1 : ioc0: LSIFC909, FwRev=01000000h, Ports=1,
MaxQ=1023, IRQ=11
blk: queue c16f9274, I/O limit 4294967295Mb (mask
0xffffffffffffffff)
  Vendor: IBM       Model: DDYF-T3695Cereva  Rev: F65A
  Type:   Direct-Access                      ANSI SCSI
revision: 03
blk: queue c16f9974, I/O limit 4294967295Mb (mask
0xffffffffffffffff)
Attached scsi disk sdb at scsi1, channel 0, id 0, lun
0
SCSI device sdb: 71132959 512-byte hdwr sectors (36420
MB)
 /dev/scsi/host1/bus0/target0/lun0: p1 p2 < p5 >
Intel ISA PCIC probe: not found.
Intel ISA PCIC probe: not found.
eth0: link up, 10Mbps, half-duplex, lpa 0x0000
Intel ISA PCIC probe: not found.
Intel ISA PCIC probe: not found.
Journalled Block Device driver loaded
SGI XFS with ACLs, no debug enabled
SGI XFS Quota Management subsystem
usb-uhci.c: interrupt, status 3, frame# 764


I'll try some of your other suggestions over the weekend, and see if those 
commands make a difference. I will also try some of these other distros & post 
those dmesg output IF they actually recognise the drive. Also please let me 
know what else i can try to provide you with more details that may help solve 
this issue !
Comment 12 Mike Christie 2006-09-21 12:44:09 EDT
What type of target is attached to the fibre channel san?

If you could send the /proc/scsi/scsi output when the HBA works it will have the
vendor and model info I am looking for.
Comment 13 Rudy Dubbelboer 2006-09-25 16:26:24 EDT
Mike,

Tried to get that info of the running distro, however somehow i can't do 
startx. So i tried to reinstalling Debian 3.1 & also Fedora Core 4 (which both 
install fine by the way) first to see what causes it and whether i was able to 
fix it (answer not sure at this point). 

I will try and get that info from the console probably for you tonight. Then 
i'll have a go at some of the command suggestions as well.
Comment 14 Rudy Dubbelboer 2006-09-26 04:43:20 EDT
Mike, 
 
Here's the content of the /proc/scsi/scsi file: 
 
Attached devices:  
Host: scsi0 Channel: 00 Id: 00 Lun: 00 
  Vendor: IBM      Model: DDYF-T3695Cereva Rev: F65A 
  Type:   Direct-Access                    ANSI SCSI revision: 03 
 
 
Comment 15 Rudy Dubbelboer 2006-09-26 05:07:41 EDT
Created attachment 137121 [details]
modules.alias
Comment 16 Rudy Dubbelboer 2006-09-26 05:08:41 EDT
Created attachment 137122 [details]
pci.ids
Comment 17 Rudy Dubbelboer 2006-09-26 05:18:21 EDT
Konrad, 
 
referring to your reply dd. September 19th: 
     
alias pci:v00001000d00000621sv*sd*bc*sc*i* mptfc gives:     
     
alias: pci:v00001000d00000621sv*sd*bc*sc*i*: not found     
alias: mptfc: not found     
    
Doing a "lspci -n", does NOT list vendorID:ProductID as 1000:0621. As a mater   
of fact that number is NOT listed at all.   
   
Also please find attached the files mdules.alias & pci.ids. 
 
Finally the response to "lsmod | grep fc": 
 
mptfc              15821  0 
scsi_transport_fc  32833  1 mptfc 
mptscsih           23617  1 mptfc 
mptbase            53505  2 mptfc,mptscsih 
scsi_mod          138057  8 
mptfc,scsi_transport_fc,mptscsih,iscsi_tcp,libiscsi, 
scsi_transport_iscsi,sr_mod,sd_mod   
  
Hope all this helps. 
Comment 18 Dave Jones 2006-09-27 02:15:49 EDT
can you paste the output of lspci -n -s 00:08.0 
Comment 19 Mike Christie 2006-09-27 03:24:52 EDT
I tested this here with a LSI Fibre Channel HBA attached to a netapp target and
it worked ok. This was using the development tree.

Do you know what FC4 or debian kernel worked last? If you run debian or FC4,
does the upstream/mainline 2.6.18 kernel work? There have been some changes in
2.6.18 to the mpt fc driver. Maybe one added a regression or maybe one is fix
that you need.
Comment 20 Rudy Dubbelboer 2006-09-27 04:52:53 EDT
Dave,

it now lists:

0000:00:08.0 0100: 1000:0621 (rev 01)
Comment 21 Rudy Dubbelboer 2006-09-27 05:14:24 EDT
Mike,

First of all i'm not sure why i can't get into X, although with other distros 
like Gentoo for example it had hook up a higher resolution screen to see 
anything. These things, with Debian 3.1 & FC4, they both used to work fine.

Also FYI: the Debian & FC distros i got off the Linux Format Magazine from the 
UK - issue 70.

Debian 3.1 by default runs apparently on kernel 2.4.27, although a 2.6 kernel 
version can be used to install as well, which happily detects the FC HD by the 
way. Although from what i know this is a 2.6 version before 2.6.18.

FC4 dy default runs on kernel 2.6.11.

So taking this into the current context i can't say whether or not the 2.6.18 
kernel will work. I'm actually downloading Debian 4 Etch as i write this - but 
that one seems to use 2.6.17. 

So all in all i'm not sure how to go about this at the moment.
Comment 22 Konrad Rzeszutek 2006-09-27 13:30:36 EDT
Rudy,


Can you install the 2.6.18 kernel on top of FC4? Please download if from:
http://redhat.download.fedoraproject.org/pub/fedora/linux/core/development/i386/os/Fedora/RPMS/

Just pick kernel-2.6.18-1.2693.fc6.i686.rpm

When installing you might need to pass in --force and --nodeps, and if it fails
to install (some errors about scriptlets), run this:

new-kernel-pkg --mkinitrd --install 2.6.18-1.2693.fc6

That will re-create the initrd image.

Thank you.
Comment 23 Rudy Dubbelboer 2006-09-28 07:21:44 EDT
Konrad/Mike,

I managed to install FC4 on a clean system - so all works including X, and i 
was able to boot into FC4 on this spare FC HD. I then downloaded the 2.6.18 
kernel and managed to install it with --nodeps (--force doesn't work, nor does 
the last option mentioned - directory doesn't exist). 

Then i rebooted. All seemed to go just fine. It loaded grub. It seemed to load 
the MPT fusion driver & recognising LSI Logic. Then it got to the device mapper 
trying to read the logical volumes...... which it was unable to find. From 
there it was just errors, ending in kernel panic - not syncing: attempted to 
kill init.

so i guess this options doesn't fix anything. Any other suggestions maybe?
Comment 24 Rudy Dubbelboer 2006-10-02 16:27:05 EDT
Guys,

i also got Debian (3.1) going again; again on a clean system (& not connected 
to the net, otherwise i will not do aproper install off the disk). 

Anythong you'd like me to try on that? 

Mind you, i downloaded Etch, which supposedly has kernel 2.6.17. The next 
version (Sid) has 2.6.18, but is still classified as unstable. Although having 
downloaded Etch, i haven't been able to install it as it doesn't boot from my 
dvd-ron drive (don't know why) & smart boot manager gives me a disk error (in 
trying to boot off it is assume). So i'm waiting for boot floppies to appear.

So let me know if there's any progress from your side, or else what i could try 
here. 
Comment 25 Mike Christie 2006-10-02 16:37:08 EDT
(In reply to comment #23)
> Konrad/Mike,
> 
> I managed to install FC4 on a clean system - so all works including X, and i 
> was able to boot into FC4 on this spare FC HD. I then downloaded the 2.6.18 
> kernel and managed to install it with --nodeps (--force doesn't work, nor does 
> the last option mentioned - directory doesn't exist). 
> 

Ah ok, so just to make sure I understood you, you are using a Fedora kernel or
is it a kernel.org upstream kernel (the --force threw me)?

And just to make sure, this is connected to the same type of target?

> Then i rebooted. All seemed to go just fine. It loaded grub. It seemed to load 
> the MPT fusion driver & recognising LSI Logic. Then it got to the device 

Were SCSI disks discovered at this point? You are sill trying to do root on the
host mpt card right? If so I am guessing SCSI disks were not found becuase of
the panic below.

mapper 
> trying to read the logical volumes...... which it was unable to find. From 
> there it was just errors, ending in kernel panic - not syncing: attempted to 
> kill init.
> 
> so i guess this options doesn't fix anything. Any other suggestions maybe?

Is this it normal linux panic that occurs when it cannot find the root disk?

And you are not trying to do dm-multipath or lvm root boot too also are you?
Comment 26 Rudy Dubbelboer 2006-10-03 06:55:06 EDT
Mike,

referring to comment #22. This is exactly what i did - so yes a fedora kernel. 
If you don't use --nodeps, it wants me to install all kinds of other things 
first. The idea, as i gather, was to see what would hppen with the new kernel. 
This kernel has apparently some changes in it when it comes to the handling of 
the fibre channel driver(s) (see comment #19). The --force was a suggestion 
from Konrad (see comment #22).

To your second comment: it appeared that it did recognise the FC drive (i have 
4 of those things - 36 gig each; the original one has XP coesisting with FC4 & 
debian 3.1 - both linux ones give me trouble re-installing, ie always boot into 
console, except the first time i installed them; the other 3 spare as it were). 

So yes at first the info on the screen suggested that the FC drive was 
recognised (coming up with the details of the HBA etc.), but then resulted in 
kernel panic, ie suggesting it wasn't recognised/found. 

And no, not attempting to do a dm-multipath or lvm root boot. Not deliberately 
anyway as i've never heard of that before. So from this do i detect a possible 
option i could try?
 
Comment 27 Bug Zapper 2008-04-03 23:28:48 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 28 Bug Zapper 2008-05-06 12:12:43 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.